---
Name: graphql-dbtypes
---
# Assign each DBField subclass with an associated internal type
SilverStripe\ORM\FieldType\DBField:
  graphql_type: String
SilverStripe\ORM\FieldType\DBInt:
  graphql_type: Int
SilverStripe\ORM\FieldType\DBBoolean:
  graphql_type: Boolean
SilverStripe\ORM\FieldType\DBFloat:
  graphql_type: Float
SilverStripe\ORM\FieldType\DBDecimal:
  graphql_type: Float
SilverStripe\ORM\FieldType\DBPrimaryKey:
  graphql_type: ID!
SilverStripe\ORM\FieldType\DBForeignKey:
  graphql_type: ID!
